org.apache.ode.tools.bpelc

## Class BpelCompileCommandMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.tools.bpelc.BpelCompileCommandMessages

-     public class BpelCompileCommandMessages
      extends MessageBundle

  Internationalization message bundle for the BPEL compiler.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BpelCompileCommandMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `msgAtLeastOneProcessRequired()` At least one BPEL URL must be specified.
    `java.lang.String` | `msgBpelcInvalidOutputFile(java.lang.String outfile)`
    `java.lang.String` | `msgBpelcResourceRepositoryIoError(java.lang.String filename)`
    `java.lang.String` | `msgBpelcResourceRepositoryNotFound(java.lang.String filename)`
    `java.lang.String` | `msgBpelcSarCreateError(java.lang.String message)`
    `java.lang.String` | `msgInvalidBpelUrl(java.lang.String bpelUrl)` The BPEL URL "{0}" is malformed.
    `java.lang.String` | `msgInvalidRrDirectory(java.lang.String name)` The location {0} is not a resource repository.
    `java.lang.String` | `msgInvalidWsdlUrl(java.lang.String wsdlUrl)` The WSDL URL "{0}" is malformed.
    `java.lang.String` | `msgIoErrOpeningRr(java.lang.String err)` Unable to open resource repository: {0}.
    `java.lang.String` | `msgIoErrWritingCbp(java.lang.String file, java.lang.String reason)` Unable to write compiled process to {0}: {1}
    `java.lang.String` | `msgIoExReadingStream(java.net.URL streamUrl)` Error reading stream at "{0}".
    `java.lang.String` | `msgIoExReadingStreamWithMsg(java.io.File file, java.lang.String msg)` Error reading stream at "{0}": {1}
    `java.lang.String` | `msgNoResourceRepository()` No resource repository specified, using default URL resolution mechanism.
    `java.lang.String` | `msgNoSuchWsdl(java.lang.String uri)` The repository does not contain a resource at the URI {0}.
    `java.lang.String` | `msgUnableToCreateTempRr(java.lang.String reason)` Unable to create temporary rr file: {0}

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BpelCompileCommandMessages

          public BpelCompileCommandMessages()

  - ### Method Detail

    - #### msgIoErrWritingCbp

          public java.lang.String msgIoErrWritingCbp(java.lang.String file,
                                                     java.lang.String reason)

      Unable to write compiled process to {0}: {1}

    - #### msgNoSuchWsdl

          public java.lang.String msgNoSuchWsdl(java.lang.String uri)

      The repository does not contain a resource at the URI {0}.

    - #### msgIoErrOpeningRr

          public java.lang.String msgIoErrOpeningRr(java.lang.String err)

      Unable to open resource repository: {0}.

    - #### msgInvalidRrDirectory

          public java.lang.String msgInvalidRrDirectory(java.lang.String name)

      The location {0} is not a resource repository.

    - #### msgAtLeastOneProcessRequired

          public java.lang.String msgAtLeastOneProcessRequired()

      At least one BPEL URL must be specified.

    - #### msgIoExReadingStream

          public java.lang.String msgIoExReadingStream(java.net.URL streamUrl)

      Error reading stream at "{0}".

    - #### msgIoExReadingStreamWithMsg

          public java.lang.String msgIoExReadingStreamWithMsg(java.io.File file,
                                                              java.lang.String msg)

      Error reading stream at "{0}": {1}

    - #### msgInvalidBpelUrl

          public java.lang.String msgInvalidBpelUrl(java.lang.String bpelUrl)

      The BPEL URL "{0}" is malformed.

    - #### msgInvalidWsdlUrl

          public java.lang.String msgInvalidWsdlUrl(java.lang.String wsdlUrl)

      The WSDL URL "{0}" is malformed.

    - #### msgNoResourceRepository

          public java.lang.String msgNoResourceRepository()

      No resource repository specified, using default URL resolution mechanism.

    - #### msgBpelcInvalidOutputFile

          public java.lang.String msgBpelcInvalidOutputFile(java.lang.String outfile)

    - #### msgBpelcResourceRepositoryNotFound

          public java.lang.String msgBpelcResourceRepositoryNotFound(java.lang.String filename)

    - #### msgBpelcResourceRepositoryIoError

          public java.lang.String msgBpelcResourceRepositoryIoError(java.lang.String filename)

    - #### msgUnableToCreateTempRr

          public java.lang.String msgUnableToCreateTempRr(java.lang.String reason)

      Unable to create temporary rr file: {0}

    - #### msgBpelcSarCreateError

          public java.lang.String msgBpelcSarCreateError(java.lang.String message)